-- ############################################################################
-- #
-- #  Licensed Materials - Property of IBM
-- #  5724-C01
-- #
-- #  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
-- #
-- #  US Government Users Restricted Rights - Use, duplication or
-- #  disclosure restricted by GSA ADP Schedule Contract with
-- #  IBM Corp.
-- #
-- #   File Information: src/TEDW/tedw_apps_etl/gwl/pkg/v120/cdw/ddl/gwl_cdw_drop_schema.sql, BEA_PAC, wls_dev, 2004.06.23A
-- #   Revision: 1.2
-- #   Date: 10/31/02 10:42:02
-- ############################################################################

---------
--- Host 
---------

drop view GWL.ve_host;
drop view GWL.vd_host;

--------------------
--- WebLogic Server 
--------------------
drop table GWL.stg_Server_met;
drop view GWL.ve_Server_met;
drop view GWL.vd_Server_met;
drop view GWL.ve_Server;
drop view GWL.vd_Server;
drop view GWL.ve_stg_Server_hr;
drop view GWL.vf_stg_Server_hr;

--------------------
--- WebLogic JDBCCnxPl 
--------------------
drop table GWL.stg_JDBCCnxPl_met;
drop view GWL.ve_JDBCCnxPl_met;
drop view GWL.vd_JDBCCnxPl_met;
drop view GWL.ve_JDBCCnxPl;
drop view GWL.vd_JDBCCnxPl;
drop view GWL.ve_stg_JDBCCnxPl_hr;
drop view GWL.vf_stg_JDBCCnxPl_hr;

--------------------
--- WebLogic JMSCnx 
--------------------
drop table GWL.stg_JMSCnx_met;
drop view GWL.ve_JMSCnx_met;
drop view GWL.vd_JMSCnx_met;
drop view GWL.ve_JMSCnx;
drop view GWL.vd_JMSCnx;
drop view GWL.ve_stg_JMSCnx_hr;
drop view GWL.vf_stg_JMSCnx_hr;

--------------------
--- WebLogic JMSSrv 
--------------------
drop table GWL.stg_JMSSrv_met;
drop view GWL.ve_JMSSrv_met;
drop view GWL.vd_JMSSrv_met;
drop view GWL.ve_JMSSrv;
drop view GWL.vd_JMSSrv;
drop view GWL.ve_stg_JMSSrv_hr;
drop view GWL.vf_stg_JMSSrv_hr;

--------------------
--- WebLogic Appl 
--------------------
drop table GWL.stg_Appl_met;
drop view GWL.ve_Appl_met;
drop view GWL.vd_Appl_met;
drop view GWL.ve_Appl;
drop view GWL.vd_Appl;
drop view GWL.ve_stg_Appl_hr;
drop view GWL.vf_stg_Appl_hr;

--------------------
--- WebLogic Ex_Qu 
--------------------
drop table GWL.stg_Ex_Qu_met;
drop view GWL.ve_Ex_Qu_met;
drop view GWL.vd_Ex_Qu_met;
drop view GWL.ve_Ex_Qu;
drop view GWL.vd_Ex_Qu;
drop view GWL.ve_stg_Ex_Qu_hr;
drop view GWL.vf_stg_Ex_Qu_hr;

--------------------
--- WebLogic Serv_Sec 
--------------------
drop table GWL.stg_Serv_Sec_met;
drop view GWL.ve_Serv_Sec_met;
drop view GWL.vd_Serv_Sec_met;
drop view GWL.ve_Serv_Sec;
drop view GWL.vd_Serv_Sec;
drop view GWL.ve_stg_Serv_Sec_hr;
drop view GWL.vf_stg_Serv_Sec_hr;

--------------------
--- WebLogic Log_Bdct 
--------------------
drop table GWL.stg_Log_Bdct_met;
drop view GWL.ve_Log_Bdct_met;
drop view GWL.vd_Log_Bdct_met;
drop view GWL.ve_Log_Bdct;
drop view GWL.vd_Log_Bdct;
drop view GWL.ve_stg_Log_Bdct_hr;
drop view GWL.vf_stg_Log_Bdct_hr;

--------------------
--- WebLogic JTA 
--------------------
drop table GWL.stg_JTA_met;
drop view GWL.ve_JTA_met;
drop view GWL.vd_JTA_met;
drop view GWL.ve_JTA;
drop view GWL.vd_JTA;
drop view GWL.ve_stg_JTA_hr;
drop view GWL.vf_stg_JTA_hr;

--------------------
--- WebLogic JVM 
--------------------
drop table GWL.stg_JVM_met;
drop view GWL.ve_JVM_met;
drop view GWL.vd_JVM_met;
drop view GWL.ve_JVM;
drop view GWL.vd_JVM;
drop view GWL.ve_stg_JVM_hr;
drop view GWL.vf_stg_JVM_hr;

--------------------
--- WebLogic Tx_Res 
--------------------
drop table GWL.stg_Tx_Res_met;
drop view GWL.ve_Tx_Res_met;
drop view GWL.vd_Tx_Res_met;
drop view GWL.ve_Tx_Res;
drop view GWL.vd_Tx_Res;
drop view GWL.ve_stg_Tx_Res_hr;
drop view GWL.vf_stg_Tx_Res_hr;

--------------------
--- WebLogic JMS_Dest 
--------------------
drop table GWL.stg_JMS_Dest_met;
drop view GWL.ve_JMS_Dest_met;
drop view GWL.vd_JMS_Dest_met;
drop view GWL.ve_JMS_Dest;
drop view GWL.vd_JMS_Dest;
drop view GWL.ve_stg_JMS_Dest_hr;
drop view GWL.vf_stg_JMS_Dest_hr;

--------------------
--- WebLogic Cnt_Comp 
--------------------
drop table GWL.stg_Cnt_Comp_met;
drop view GWL.ve_Cnt_Comp_met;
drop view GWL.vd_Cnt_Comp_met;
drop view GWL.ve_Cnt_Comp;
drop view GWL.vd_Cnt_Comp;
drop view GWL.ve_stg_Cnt_Comp_hr;
drop view GWL.vf_stg_Cnt_Comp_hr;

--------------------
--- WebLogic EJB_Comp 
--------------------
drop table GWL.stg_EJB_Comp_met;
drop view GWL.ve_EJB_Comp_met;
drop view GWL.vd_EJB_Comp_met;
drop view GWL.ve_EJB_Comp;
drop view GWL.vd_EJB_Comp;
drop view GWL.ve_stg_EJB_Comp_hr;
drop view GWL.vf_stg_EJB_Comp_hr;

--------------------
--- WebLogic WAP_COMP 
--------------------
drop table GWL.stg_WAP_COMP_met;
drop view GWL.ve_WAP_COMP_met;
drop view GWL.vd_WAP_COMP_met;
drop view GWL.ve_WAP_COMP;
drop view GWL.vd_WAP_COMP;
drop view GWL.ve_stg_WAP_COMP_hr;
drop view GWL.vf_stg_WAP_COMP_hr;

--------------------
--- WebLogic EJB 
--------------------
drop table GWL.stg_EJB_met;
drop view GWL.ve_EJB_met;
drop view GWL.vd_EJB_met;
drop view GWL.ve_EJB;
drop view GWL.vd_EJB;
drop view GWL.ve_stg_EJB_hr;
drop view GWL.vf_stg_EJB_hr;

--------------------
--- WebLogic Servlet 
--------------------
drop table GWL.stg_Servlet_met;
drop view GWL.ve_Servlet_met;
drop view GWL.vd_Servlet_met;
drop view GWL.ve_Servlet;
drop view GWL.vd_Servlet;
drop view GWL.ve_stg_Servlet_hr;
drop view GWL.vf_stg_Servlet_hr;
