-- ############################################################################
-- #
-- #  Licensed Materials - Property of IBM
-- #  5724-C01
-- #
-- #  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
-- #
-- #  US Government Users Restricted Rights - Use, duplication or
-- #  disclosure restricted by GSA ADP Schedule Contract with
-- #  IBM Corp.
-- #
-- #   File Information: src/TEDW/tedw_apps_etl/gwl/pkg/v120/misc/tools/extlog.sql, BEA_PAC, wls_dev, 2004.06.23A
-- #   Revision: 1.2
-- #   Date: 10/31/02 10:42:56
-- ############################################################################

select
substr(extlog_source,1,30) as extlog_source,
substr(extlog_target,1,30) as extlog_target,
substr(char(extlog_from_intseq),1,4) as extlog_from_intseq,
substr(char(extlog_to_intseq),1,4) as extlog_to_intseq ,
extlog_done_dttm as extlog_done_dttm 
from
twg.extract_log
order by
extlog_done_dttm
;
